package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.SysRole;
import com.huiju.welcome.model.SysUserRole;
import com.huiju.welcome.model.TaVisitorAppointment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-12
 */
@Mapper
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    /**
     *
     * @param pg
     * @param userName
     * @param phone
     * @return
     */
    IPage<SysUserRole> userManagementList(IPage<SysUserRole> pg, @Param("userName") String userName, @Param("phone") String phone);

    /**
     * 查询当用户的角色
     * @param userId
     * @return
     */
    List<SysUserRole> selectListSysUserRole(@Param("userId") Integer userId);
}
